%define phpsource       %{_prefix}/src/php-devel
%{expand:%(cat /usr/src/php-devel/PHP_BUILD||(echo -e "error: failed build dependencies:\n        php-devel >= 430 (4.3.0) is needed by this package." >/dev/stderr;kill -2 $PPID))}

%define recode_version 3.6
%define release 1mdk

%define realname Recode
%define modname recode
%define dirname %{modname}
%define soname %{modname}.so
%define inifile 10_%{modname}.ini
%define mod_src %{modname}.c
%define mod_lib "-Wl,./src/.libs/librecode.a -I./src"
%define mod_def "-DCOMPILE_DL_RECODE -DHAVE_LIBRECODE"

Summary:	The %{realname} module for PHP
Name:		php-%{modname}
Version:	%{phpversion}
Release:	%{release}
Group:		System/Servers
URL:		http://gtk.php.net/
License:	PHP License
Source:		ftp://prep.ai.mit.edu:/pub/gnu/recode/recode-%{recode_version}.tar.bz2
Patch0: 	recode-3.6-various-fix.patch.bz2
Requires:	libphp_common%{libversion}
Requires:	php%{libversion}
BuildRequires:  php%{libversion}-devel
BuildRoot:	%{_tmppath}/%{name}-root
Provides: 	ADVXpackage

%description
The %{name} package is a dynamic shared object (DSO) that adds
%{realname} support to PHP. PHP is an HTML-embedded scripting language. 
If you need %{realname} support for PHP applications, you will need to 
install this package in addition to the php package.

NOTE!

Make sure this extension is the first one loaded, at the least before
mysql and imap. If not php _will_ segfault.

%prep
%setup -q -n recode-%{recode_version}
%patch0 -p1

find -type f|xargs perl -pi -e "s/hash_lookup/recode_hash_lookup/g;"
find -type f|xargs perl -pi -e "s/hash_insert/recode_hash_insert/g;"

%build
%configure --disable-shared
%make

cp -dpR %{phpsource}/extensions/%{dirname}/* .

%{phpsource}/buildext %{modname} %{mod_src} %{mod_lib} %{mod_def}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 
mkdir -p %{buildroot}%{phpdir}/extensions
mkdir -p %{buildroot}%{_sysconfdir}/php

install -m755 %{soname} %{buildroot}%{phpdir}/extensions/

cat > README.%{modname} <<EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
To activate it, make sure a file /etc/php/%{inifile} is present and
contains the line 'extension = %{soname}'.
EOF

cat > %{buildroot}%{_sysconfdir}/php/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README.%{modname}
%{phpdir}/extensions/%{soname}
%config(noreplace) %{_sysconfdir}/php/%{inifile}

%changelog
* Wed Feb 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.1-1mdk
- rebuilt against php-4.3.1

* Sun Jan 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.0-3mdk
- really rebuilt against rebuilt buildrequires

* Sat Jan 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.0-2mdk
- rebuilt against rebuilt buildrequires

* Fri Jan 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.0-1mdk
- built against php-4.3.0
- follow the spec file design as in main

* Wed Nov 27 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.2.3-4mdk
- small fix to build _without_ recode-devel installed ;)

* Fri Sep 20 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.2.3-3mdk
- Really use -Wl,./src/.libs/librecode.a this time ;-)

* Wed Sep 17 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.2.3-2mdk
- Use -Wl,./src/.libs/librecode.a so we *don't* pick the dynamic
  librecode.so if present. 

* Sat Sep  7 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.2.3-1mdk
- 4.2.3 maintenance release
- Do not reload apache

* Tue Aug 27 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.2.2-2mdk
- rebuild with its own recode-3.6 library, since some symbols clash with
  libmysqlclient and libc-client, resulting in segfaults with php-mysql,
  php-imap and apache2-mod_mysql. The culprit symbols are:
  hash_lookup() and hash_insert(), add recode_ prefix to them.
- See PHP bug 12450 at http://bugs.php.net/bug.php?id=12450

* Thu Aug 22 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.2.2-1mdk
- Rebuild for 4.2.2
- Macroize a bit more, make version depend on "php -v"

* Mon May 27 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.2.1-3mdk
- rebuilt against php-4.2.1 this time (klama is wierd...)
- added Requires: php-common

* Mon May 27 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.2.1-2mdk
- misc spec file fixes

* Tue May 21 2002 Christian Belisle <cbelisle@mandrakesoft.com> 4.2.1-1mdk
- updated by Oden Eriksson <oden.eriksson@kvikkjokk.net>
	- misc spec file fixes
	- PHP 4.2.1

* Sun May 19 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.2.0-3mdk
- rebuilt with gcc3.1
- revoke the Conflicts: mysql; just make sure this extension is loaded
  before mysql and imap, maybe even as the first one loaded?

* Mon May  6 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.2.0-2mdk
- the php extensions "mysql" and "recode" can't be used at the same time
  because of conflicting symbol names.

* Mon Apr 29 2002 Christian Belisle <cbelisle@mandrakesoft.com> 4.2.0-1mdk
- updated by Oden Eriksson <oden.eriksson@kvikkjokk.net>:
	- misc spec file fixes
	- PHP 4.2.0
	- added missing BuildRequires: recode-devel recode-static-devel
- Alexander Skwar <ASkwar@DigitalProjects.com> also worked on it:
	- First release of the php-recode package
